Package org.eclipse.m2m.atl.dsls.textsource

## Class TextSource

- java.lang.Object
- - org.eclipse.m2m.atl.dsls.textsource.TextSource

Direct Known Subclasses:
  `ByteArrayTextSource`, `IFileTextSource`, `StringTextSource`, `URLTextSource`

    public abstract class TextSource
    extends java.lang.Object

The abstract text source definition.

### Constructor Summary

Constructors
`TextSource()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.io.BufferedReader` `openBufferedReader()` Returns a buffered reader of the text source.
`abstract java.io.InputStream` `openStream()` Returns an input stream of the text source.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextSource

    public TextSource()

### Method Detail

#### openStream

    public abstract java.io.InputStream openStream()
                                            throws java.io.IOException

Returns an input stream of the text source.

Returns:
  an input stream of the text source
Throws:
  `java.io.IOException`

#### openBufferedReader

    public java.io.BufferedReader openBufferedReader()
                                              throws java.io.IOException

Returns a buffered reader of the text source.

Returns:
  a buffered reader of the text source
Throws:
  `java.io.IOException`